URL structure
{orgGroupId} is the ID of an organisation.
Supported methods and overview
GET- retrieves a summary of information about storage requirements and usage for an organisation (specified byorgGroupId).
This method takes no parameters.
Detailed description
This API endpoint retrieves a summary of information about storage requirements and usage for an organisation (specified byorgGroupId).
The storage requirement information provided consists of the amount of:
- Storage space (in mebibytes/MiB) currently allocated to this organisation.
- Storage space required for Cocoon Data users (also in MiB), which is based on the sum of all quotas associated with all users in this organisation who have the Originator role.
Supported roles and conditions
This API endpoint supports the following Cocoon Data user roles (as described in the Organisation Administrator’s Guide):- Organisation administrator - when this user is a member of the organisation whose ID is specified by
{orgGroupId}in the request’s URL.
Required headers
The appropriate access token as theBearer token:
Authorization: Bearer eyJhbGciOiJSUzI1NiJ9.eyJleHAiOjE0NjcwMTY2NjYsInVzZXJfbmFtZSI6ImFsZXgub...
Returns
If the request succeeded, then an HTTP response status200 OK is returned.
For successful requests only, a JSON-formatted response containing the following members is also returned:
-
organisationQuota - The amount of storage space (in MiB) currently allocated to the organisation (specified by
{orgGroupId}in the request’s URL). -
objectStorageRequired - The amount of storage space required for Cocoon Data users (also in MiB), which is based on the sum of all quotas associated with all users in the organisation (specified by
orgGroupId) who have the Originator role. -
objectStorageUsed - The amount of storage space (in bytes) currently consumed by Cocoon Data users (i.e. with the Originator role) in the organisation (specified by
orgGroupId).
Example (response):

